# $Revision: 1.25 $, $Date: 2009/11/10 00:53:05 $
Summary:	Compute MD5 message digests on an arbitrary number of files
Summary(pl.UTF-8):	Obliczanie skrótów MD5 dla dowolnej liczby plików
Name:		md5deep
Version:	3.4
Release:	1
License:	Public Domain
Group:		Applications/System
Source0:	http://dl.sourceforge.net/md5deep/%{name}-%{version}.tar.gz
# Source0-md5:	3588d129a00e7103d4f829a1b4e68a0d
URL:		http://md5deep.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
md5deep is a cross-platform program to compute MD5 message digests on
an arbitrary number of files. The program is known to run on Windows,
Linux, FreeBSD, OS X, Solaris, and should run on most other platforms.
md5deep is similar to the md5sum program found in the GNU Coreutils
package, but has the following additional features:
- Recursive operation - md5deep is able to recursive examine an entire
  directory tree. That is, compute the MD5 for every file in a directory
  and for every file in every subdirectory.
- Time estimation - md5deep can produce a time estimate when it's
  processing very large files.
- Comparison mode - md5deep can accept a list of known hashes and
  compare them to a set of input files. The program can display either
  those input files that match the list of known hashes or those that do
  not match.

%description -l pl.UTF-8
md5deep to wieloplatformowy program do obliczania skrótów MD5 dla
dowolnej liczby plików. Program działa pod Windows, Linuksem, FreeBSD,
OS X, Solarisem i powinien działać na większości innych platform.
md5deep jest podobny do programu md5sum z pakietu GNU Coreutils, ale
ma następujące dodatkowe możliwości:
- praca rekurencyjna - md5deep może rekurencyjnie sprawdzać całe
  drzewo katalogów, obliczając MD5 dla każdego pliku w katalogu oraz dla
  każdego pliku we wszystkich jego podkatalogach;
- szacowanie czasu - md5deep może pokazywać oszacowania czasu trwania
  operacji przy przetwarzaniu bardzo dużych plików;
- tryb porównywania - md5deep może dostać listę znanych skrótów i
  porównywać je ze zbiorem plików wejściowych; program może wypisać te
  pliki, które pasują do listy znanych skrótów lub te, które nie pasują.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for m in sha1deep.1 sha256deep.1 tigerdeep.1 whirlpooldeep.1; do
	echo '.so md5deep.1' > $RPM_BUILD_ROOT%{_mandir}/man1/$m
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*deep
%{_mandir}/man1/*deep.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: md5deep.spec,v $
Revision 1.25  2009/11/10 00:53:05  adamg
- updated to 3.4

Revision 1.24  2008/09/30 16:52:42  qboosh
- cleanup
- back to make install (much cleaner now); hashdeep is included now
- .so links instead of multiple copies of md5deep(1) manual
- added COPYING (some licensing notes)

Revision 1.23  2008/09/30 14:24:11  duddits
- up to 3.1
- Makefile patch obsolete
- %install phase tune-ups

Revision 1.22  2007/08/26 20:15:23  megabajt
- updated to 1.13
- fixed License (Public Domain)

Revision 1.21  2007/06/02 18:29:07  areq
- no man symlink

Revision 1.20  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.18  2006/08/05 14:29:29  sparky
- pass rpmldflags

Revision 1.17  2006/04/03 17:54:08  megabajt
- up to 1.12

Revision 1.16  2006/02/09 17:06:12  megabajt
- updated to 1.10

Revision 1.15  2006/01/12 10:17:30  darekr
- updated to 1.9.3

Revision 1.14  2005/11/18 03:13:09  pluto
- updated to 1.9.2.

Revision 1.13  2005/11/11 23:46:10  megabajt
- updated to 1.9.1

Revision 1.12  2005/09/22 10:24:11  pluto
- install simplified (tigerdeep is packaged now), adapterized.
- release 2.

Revision 1.11  2005/09/13 06:24:43  pluto
- updated to 1.8.

Revision 1.10  2005/06/13 13:27:13  megabajt
- up to 1.7

Revision 1.9  2005/05/16 19:24:59  darekr
- updated to 1.6

Revision 1.8  2005/02/21 08:28:44  megabajt
- updated to 1.5

Revision 1.7  2004/08/29 12:55:21  twittner
- rel. 1 (works for me).
- missing msg. part previous commit:
  - added -Makefile.patch: fixed meaning of CC and CFLAGS in Makefile - it
    allows to pass CC/CFLAGS in usual way.

Revision 1.6  2004/08/28 21:39:45  twittner
- up to 1.4 , rel. 0.1

Revision 1.5  2003/08/18 08:08:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/08/13 23:10:34  ankry
- pl description fixes

Revision 1.3  2003/08/13 11:33:26  qboosh
- pass opt and largefile flags

Revision 1.2  2003/08/12 17:41:40  qboosh
- pl

Revision 1.1  2003/08/07 10:09:29  areq
- init PLD spec
